commit: dd04db00bddf9bbf27b568c5f5a3b45c280f1d12
Author: Patrice Clement <monsieurp <AT> gentoo <DOT> org>
AuthorDate: Wed Mar 8 22:59:46 2017 +0000
Commit: Patrice Clement <monsieurp <AT> gentoo <DOT> org>
CommitDate: Wed Mar 8 23:10:30 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=dd04db00
app-admin/watchfolder: EAPI 6 bump.
Package-Manager: Portage-2.3.3, Repoman-2.3.1
app-admin/watchfolder/files/0.3.3-64bit.patch | 4 +-
.../watchfolder/files/0.3.3-fortify-sources.patch | 4 +-
app-admin/watchfolder/watchfolder-0.3.3-r1.ebuild | 43 ++++++++++++++++++++++
3 files changed, 47 insertions(+), 4 deletions(-)
diff --git a/app-admin/watchfolder/files/0.3.3-64bit.patch
b/app-admin/watchfolder/files/0.3.3-64bit.patch
index ea78be4fe29..070e9c019d2 100644
--- a/app-admin/watchfolder/files/0.3.3-64bit.patch
+++ b/app-admin/watchfolder/files/0.3.3-64bit.patch
@@ -1,5 +1,5 @@
---- watchd-0.3.3/watchd.c.orig 2006-02-23 12:33:32.000000000 -0500
-+++ watchd-0.3.3/watchd.c 2006-02-23 12:45:30.000000000 -0500
+--- a/watchd.c 2006-02-23 12:33:32.000000000 -0500
++++ b/watchd.c 2006-02-23 12:45:30.000000000 -0500
@@ -176,7 +176,7 @@
// free(p2tmp);
diff --git a/app-admin/watchfolder/files/0.3.3-fortify-sources.patch
b/app-admin/watchfolder/files/0.3.3-fortify-sources.patch
index c9e47038612..175e8ed29ec 100644
--- a/app-admin/watchfolder/files/0.3.3-fortify-sources.patch
+++ b/app-admin/watchfolder/files/0.3.3-fortify-sources.patch
@@ -1,5 +1,5 @@
---- watchd.c 2009-02-27 23:46:42.000000000 +0000
-+++ watchd.c 2009-02-27 23:50:22.000000000 +0000
+--- a/watchd.c 2009-02-27 23:46:42.000000000 +0000
++++ b/watchd.c 2009-02-27 23:50:22.000000000 +0000
@@ -671,7 +671,7 @@
{
if (folder->flags&FL_LOG_FILE)
diff --git a/app-admin/watchfolder/watchfolder-0.3.3-r1.ebuild
b/app-admin/watchfolder/watchfolder-0.3.3-r1.ebuild
new file mode 100644
index 00000000000..6d61b35109f
--- /dev/null
+++ b/app-admin/watchfolder/watchfolder-0.3.3-r1.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit eutils toolchain-funcs
+
+DESCRIPTION="watches directories and processes files"
+HOMEPAGE="http://freshmeat.net/projects/watchd/"
+SRC_URI="http://dstunrea.sdf-eu.org/files/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~ppc ~x86"
+
+S="${WORKDIR}/${P/folder/d}"
+
+PATCHES=(
+ # patch to remove warnings on 64 bit systems
+ "${FILESDIR}"/${PV}-64bit.patch
+ # and a gcc 4.3.3 / fortify_sources fix
+ "${FILESDIR}"/${PV}-fortify-sources.patch
+)
+
+src_prepare() {
+ default
+ sed -i \
+ -e '/-c -o/s:OPT:CFLAGS:' \
+ -e 's:(\(LD\)\?OPT):(LDFLAGS) $(CFLAGS):' \
+ -e 's:gcc:$(CC):' \
+ Makefile || die "sed Makefile failed"
+}
+
+src_compile() {
+ emake CC="$(tc-getCC)"
+}
+
+src_install() {
+ dobin watchd
+ insinto /etc
+ doins watchd.conf
+ dodoc README doc/*
+}